package J20250728;

import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectOutputStream;

/**
 * @author WanJl
 * @version 1.0
 * @title Demo02_ObjectOutputStream
 * @description ObjectOutputStream 对象字节输出流---对象序列化
 * @create 2025/7/28
 */
public class Demo02_ObjectOutputStream {
    public static void main(String[] args) throws IOException {
        //基础流--文件输出流
        FileOutputStream fos=new FileOutputStream("D:/保存对象.txt");
        //处理流-对象序列化
        ObjectOutputStream oos=new ObjectOutputStream(fos);

        //创建对象
        Person p=new Person(1,"张三",66);

        //把对象进行序列化保存到指定文件
        oos.writeObject(p);
        //关闭流
        oos.close();
        fos.close();
    }
}
